import { EpochInfo, EpochInfoAmino } from "./genesis";
import { BinaryReader, BinaryWriter } from "../../../binary";
import { DeepPartial } from "../../../helpers";
/**
 * QueryEpochInfosRequest defines the gRPC request structure for
 * querying all epoch info.
 * @name QueryEpochInfosRequest
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryEpochInfosRequest
 */
export interface QueryEpochInfosRequest {
}
export interface QueryEpochInfosRequestProtoMsg {
    typeUrl: "/cosmos.epochs.v1beta1.QueryEpochInfosRequest";
    value: Uint8Array;
}
/**
 * QueryEpochInfosRequest defines the gRPC request structure for
 * querying all epoch info.
 * @name QueryEpochInfosRequestAmino
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryEpochInfosRequest
 */
export interface QueryEpochInfosRequestAmino {
}
export interface QueryEpochInfosRequestAminoMsg {
    type: "cosmos-sdk/QueryEpochInfosRequest";
    value: QueryEpochInfosRequestAmino;
}
/**
 * QueryEpochInfosRequest defines the gRPC response structure for
 * querying all epoch info.
 * @name QueryEpochInfosResponse
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryEpochInfosResponse
 */
export interface QueryEpochInfosResponse {
    epochs: EpochInfo[];
}
export interface QueryEpochInfosResponseProtoMsg {
    typeUrl: "/cosmos.epochs.v1beta1.QueryEpochInfosResponse";
    value: Uint8Array;
}
/**
 * QueryEpochInfosRequest defines the gRPC response structure for
 * querying all epoch info.
 * @name QueryEpochInfosResponseAmino
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryEpochInfosResponse
 */
export interface QueryEpochInfosResponseAmino {
    epochs: EpochInfoAmino[];
}
export interface QueryEpochInfosResponseAminoMsg {
    type: "cosmos-sdk/QueryEpochInfosResponse";
    value: QueryEpochInfosResponseAmino;
}
/**
 * QueryCurrentEpochRequest defines the gRPC request structure for
 * querying an epoch by its identifier.
 * @name QueryCurrentEpochRequest
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryCurrentEpochRequest
 */
export interface QueryCurrentEpochRequest {
    identifier: string;
}
export interface QueryCurrentEpochRequestProtoMsg {
    typeUrl: "/cosmos.epochs.v1beta1.QueryCurrentEpochRequest";
    value: Uint8Array;
}
/**
 * QueryCurrentEpochRequest defines the gRPC request structure for
 * querying an epoch by its identifier.
 * @name QueryCurrentEpochRequestAmino
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryCurrentEpochRequest
 */
export interface QueryCurrentEpochRequestAmino {
    identifier: string;
}
export interface QueryCurrentEpochRequestAminoMsg {
    type: "cosmos-sdk/QueryCurrentEpochRequest";
    value: QueryCurrentEpochRequestAmino;
}
/**
 * QueryCurrentEpochResponse defines the gRPC response structure for
 * querying an epoch by its identifier.
 * @name QueryCurrentEpochResponse
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryCurrentEpochResponse
 */
export interface QueryCurrentEpochResponse {
    currentEpoch: bigint;
}
export interface QueryCurrentEpochResponseProtoMsg {
    typeUrl: "/cosmos.epochs.v1beta1.QueryCurrentEpochResponse";
    value: Uint8Array;
}
/**
 * QueryCurrentEpochResponse defines the gRPC response structure for
 * querying an epoch by its identifier.
 * @name QueryCurrentEpochResponseAmino
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryCurrentEpochResponse
 */
export interface QueryCurrentEpochResponseAmino {
    current_epoch: string;
}
export interface QueryCurrentEpochResponseAminoMsg {
    type: "cosmos-sdk/QueryCurrentEpochResponse";
    value: QueryCurrentEpochResponseAmino;
}
/**
 * QueryEpochInfosRequest defines the gRPC request structure for
 * querying all epoch info.
 * @name QueryEpochInfosRequest
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryEpochInfosRequest
 */
export declare const QueryEpochInfosRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryEpochInfosRequest;
    isAmino(o: any): o is QueryEpochInfosRequestAmino;
    encode(_: QueryEpochInfosRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryEpochInfosRequest;
    fromPartial(_: DeepPartial<QueryEpochInfosRequest>): QueryEpochInfosRequest;
    fromAmino(_: QueryEpochInfosRequestAmino): QueryEpochInfosRequest;
    toAmino(_: QueryEpochInfosRequest): QueryEpochInfosRequestAmino;
    fromAminoMsg(object: QueryEpochInfosRequestAminoMsg): QueryEpochInfosRequest;
    toAminoMsg(message: QueryEpochInfosRequest): QueryEpochInfosRequestAminoMsg;
    fromProtoMsg(message: QueryEpochInfosRequestProtoMsg): QueryEpochInfosRequest;
    toProto(message: QueryEpochInfosRequest): Uint8Array;
    toProtoMsg(message: QueryEpochInfosRequest): QueryEpochInfosRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryEpochInfosRequest defines the gRPC response structure for
 * querying all epoch info.
 * @name QueryEpochInfosResponse
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryEpochInfosResponse
 */
export declare const QueryEpochInfosResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryEpochInfosResponse;
    isAmino(o: any): o is QueryEpochInfosResponseAmino;
    encode(message: QueryEpochInfosResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryEpochInfosResponse;
    fromPartial(object: DeepPartial<QueryEpochInfosResponse>): QueryEpochInfosResponse;
    fromAmino(object: QueryEpochInfosResponseAmino): QueryEpochInfosResponse;
    toAmino(message: QueryEpochInfosResponse): QueryEpochInfosResponseAmino;
    fromAminoMsg(object: QueryEpochInfosResponseAminoMsg): QueryEpochInfosResponse;
    toAminoMsg(message: QueryEpochInfosResponse): QueryEpochInfosResponseAminoMsg;
    fromProtoMsg(message: QueryEpochInfosResponseProtoMsg): QueryEpochInfosResponse;
    toProto(message: QueryEpochInfosResponse): Uint8Array;
    toProtoMsg(message: QueryEpochInfosResponse): QueryEpochInfosResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryCurrentEpochRequest defines the gRPC request structure for
 * querying an epoch by its identifier.
 * @name QueryCurrentEpochRequest
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryCurrentEpochRequest
 */
export declare const QueryCurrentEpochRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryCurrentEpochRequest;
    isAmino(o: any): o is QueryCurrentEpochRequestAmino;
    encode(message: QueryCurrentEpochRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryCurrentEpochRequest;
    fromPartial(object: DeepPartial<QueryCurrentEpochRequest>): QueryCurrentEpochRequest;
    fromAmino(object: QueryCurrentEpochRequestAmino): QueryCurrentEpochRequest;
    toAmino(message: QueryCurrentEpochRequest): QueryCurrentEpochRequestAmino;
    fromAminoMsg(object: QueryCurrentEpochRequestAminoMsg): QueryCurrentEpochRequest;
    toAminoMsg(message: QueryCurrentEpochRequest): QueryCurrentEpochRequestAminoMsg;
    fromProtoMsg(message: QueryCurrentEpochRequestProtoMsg): QueryCurrentEpochRequest;
    toProto(message: QueryCurrentEpochRequest): Uint8Array;
    toProtoMsg(message: QueryCurrentEpochRequest): QueryCurrentEpochRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryCurrentEpochResponse defines the gRPC response structure for
 * querying an epoch by its identifier.
 * @name QueryCurrentEpochResponse
 * @package cosmos.epochs.v1beta1
 * @see proto type: cosmos.epochs.v1beta1.QueryCurrentEpochResponse
 */
export declare const QueryCurrentEpochResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryCurrentEpochResponse;
    isAmino(o: any): o is QueryCurrentEpochResponseAmino;
    encode(message: QueryCurrentEpochResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryCurrentEpochResponse;
    fromPartial(object: DeepPartial<QueryCurrentEpochResponse>): QueryCurrentEpochResponse;
    fromAmino(object: QueryCurrentEpochResponseAmino): QueryCurrentEpochResponse;
    toAmino(message: QueryCurrentEpochResponse): QueryCurrentEpochResponseAmino;
    fromAminoMsg(object: QueryCurrentEpochResponseAminoMsg): QueryCurrentEpochResponse;
    toAminoMsg(message: QueryCurrentEpochResponse): QueryCurrentEpochResponseAminoMsg;
    fromProtoMsg(message: QueryCurrentEpochResponseProtoMsg): QueryCurrentEpochResponse;
    toProto(message: QueryCurrentEpochResponse): Uint8Array;
    toProtoMsg(message: QueryCurrentEpochResponse): QueryCurrentEpochResponseProtoMsg;
    registerTypeUrl(): void;
};
